* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Segoe UI', 'Helvetica Neue', sans-serif;
}

.pagination {
  display: inline-block;
  margin-top: 1em;
}

.pagination a {
  color: #264348;
  float: left;
  padding: 8px 16px;
  text-decoration: none;
  border: 1px solid #d2d7d3;
  margin: 0 3px;
}

.pagination ul {
  list-style-type: none;
}

.pagination a.active {
  background-color: #2ee59d;
  color: white;
}

.pagination a:hover:not(.active) {
  background-color: #d2d7d3;
}

/* Layout and style */

* {
  font-family: 'Montserrat', sans-serif;
}

.containerpaging {
  display: flex;
  justify-content: center;
  align-items: center;
}

.rowpaging {
  display: flex;
  -webkit-flex-direction: row;
  flex-direction: row;
}

.pagintaion__paginationContainer {
  position: relative;
  overflow-x: hidden;
}

.paginationControls {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  margin-top: 15px;
  justify-content: center;
  align-items: center;
  margin-left: 1em;
  margin-right: 1em;
  font-size: larger;
  font-weight: bolder;

  color: #264348;
  padding: 7px 14px;
  border: 1px solid #d2d7d3;
}

.paginationControls:hover {
  background-color: #d2d7d3;
}

.paginationContols__pageNoBtn {
  display: block;

  background: transparent;
  border: transparent;

  min-width: 2em;

  cursor: pointer;
}

.paginationContols__pageNoBtn--active {
  border: 1px #2ee59d solid;
}

.paginationContols__pageNoBtn--hidden {
  display: none;
}

.paginationContols__pageNoBtn--dotsAfter::after {
  content: ' ... ';
  color: black;
}

.paginationContols__pageNoBtn--dotsBefore::before {
  content: ' ... ';
  color: black;
}

.paginationControls__arrowBtn {
  display: block;

  background: transparent;
  border: transparent;

  cursor: pointer;
}

@keyframes nextPage {
  0% {
    opacity: 0;
    transform: translate(10em, 0);
  }

  100% {
    opacity: 1;
    transform: translate(0, 0);
  }
}

@keyframes prevPage {
  0% {
    opacity: 0;
    transform: translate(-10em, 0);
  }

  100% {
    opacity: 1;
    transform: translate(0, 0);
  }
}